DPGEN_NBUSE(3)

NAME
DPGEN_NBUSE - Tristate Macro-Generator

SYNOPSIS

#include <genlib.h>

void GENLIB_MACRO (DPGEN_NBUSE, char *modelname, long flags, long N);

DESCRIPTION

Generate a N bits two inputs tristate with a complemented output named modelname.

  TERMINAL NAMES

1.  cmd : select (1 bit).

2.  i0 : input (N bits).

3.  nq : output (N bits).

4.  vdd : power.

5.  vss : ground.

  BEHAVIOR
nts:BLOCK(cmd = '1') BEGIN
    nq <= GUARDED not(i0);
END

EXAMPLE

GENLIB_MACRO(DPGEN_NBUSE, "model_nbuse_32"
                        , F_BEHAV|F_PLACE
                        , 32
                        );
GENLIB_LOINS( "model_nbuse_32"
            , "instance1_nbuse_32"
            , "cmd"
            , "i0[31:0]"
            , "nq[31:0]"
            , "vdd", "vss", NULL
            );

SEE ALSO

GENLIB_MACRO(3), genlib(1)